org.apache.fop.render.pdf.extensions

## Class PDFReferenceExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension
  - - org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
    - - org.apache.fop.render.pdf.extensions.PDFReferenceExtension

-     public class PDFReferenceExtension
      extends PDFCollectionEntryExtension

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_REFID`

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `PROPERTY_KEY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReferenceId()`
    `java.lang.Object` | `getResolvedReference()`
    `java.lang.Object` | `getValue()`
    `void` | `setReferenceId(java.lang.String refid)`
    `void` | `setResolvedReference(java.lang.Object resolvedReference)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

      `getKey, setKey`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension

      `getElementName, getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_REFID

          public static final java.lang.String PROPERTY_REFID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setValue

          public void setValue(java.lang.Object value)

      Overrides:
        `setValue` in class `PDFObjectExtension`

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `PDFObjectExtension`

    - #### getReferenceId

          public java.lang.String getReferenceId()

    - #### setReferenceId

          public void setReferenceId(java.lang.String refid)

    - #### getResolvedReference

          public java.lang.Object getResolvedReference()

    - #### setResolvedReference

          public void setResolvedReference(java.lang.Object resolvedReference)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.